View Issue Details

IDProjectCategoryLast Update
0021379AI War 2[All Projects] Crash/ExceptionJul 16, 2019 3:18 pm
ReporterUFOAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.874 Basic Fleet Management 
Fixed in Version0.876 Counterattacks Ate My Waves 
Summary0021379: Custom start crash (small amount of planets)
DescriptionChoose about 29 planets in the custom start menu (or less) and you will get a crash.

Bubbles - error message
Linked Rings - error message
Swirl - map generates but then you stuck with the error window.


p.s. Here some minor issues with Factions in the Custom Start menu: https://bugtracker.arcengames.com/view.php?id=21283
TagsNo tags attached.

Activities

UFO

Jul 10, 2019 3:39 pm

reporter  

20190710232054_1.jpg (163,505 bytes)
20190710232054_1.jpg (163,505 bytes)
MapGen.txt (23,873 bytes)
************************************************************
UpdateExternalCodeControllersOnEnabledLobbySettings
************************************************************
************************************************************
RecalculateAllBalanceStats
************************************************************
************************************************************
Factions
************************************************************
Faction Create: NaturalObject (0) SpecialFactionData: NaturalObject   Implementation: True
Faction Create: AI (1) SpecialFactionData: AI   Implementation: True
Faction Create: SpecialFaction (2) SpecialFactionData: AISpecialForces   Implementation: True
Faction Create: SpecialFaction (3) SpecialFactionData: HunterFleet   Implementation: True
Faction Create: SpecialFaction (4) SpecialFactionData: AntiAIZombie   Implementation: True
Faction Create: SpecialFaction (5) SpecialFactionData: AntiPlayerZombie   Implementation: True
Faction Create: SpecialFaction (6) SpecialFactionData: AntiEveryoneZombie   Implementation: True
Faction Create: SpecialFaction (7) SpecialFactionData: AntagonizedDysonSphere   Implementation: True
Faction Create: SpecialFaction (8) SpecialFactionData: Instigators   Implementation: True
Faction Create: SpecialFaction (9) SpecialFactionData: Mercenary   Implementation: True
Faction Create: Player (10) SpecialFactionData: Human   Implementation: True
Human Remnant: ControlledByPlayerAccounts_DuringGame(1)
Proccess Faction: NaturalObject NaturalObject, 0 FactionConfig: 0 NaturalObject
Proccess Faction: AI AI, 1 FactionConfig: 0 AI
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIType  fieldValue: 'FullEnsemble'
AI type assignment: FullEnsemble
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: TeamColorPopup_BorderOnly  field.InternalName: AISpecialForces_BorderColor  fieldValue: 'cF4C431'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: SpecialForcesType  fieldValue: 'BaseOriented'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty_WardenFleet  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: TeamColorPopup_BorderOnly  field.InternalName: HunterFleet_BorderColor  fieldValue: 'cFF3365'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: HunterFleetType  fieldValue: 'Normal'
ProcessFactionConfigCustomFields SettingType: CustomDropdownSurrogateTable  field.InternalName: AIDifficulty_HunterFleet  fieldValue: 'Normal'
Proccess Faction: SpecialFaction AISpecialForces, 2 FactionConfig: 0 AISpecialForces
Proccess Faction: SpecialFaction HunterFleet, 3 FactionConfig: 0 HunterFleet
Proccess Faction: SpecialFaction AntiAIZombie, 4 FactionConfig: 0 AntiAIZombie
Proccess Faction: SpecialFaction AntiPlayerZombie, 5 FactionConfig: 0 AntiPlayerZombie
Proccess Faction: SpecialFaction AntiEveryoneZombie, 6 FactionConfig: 0 AntiEveryoneZombie
Proccess Faction: SpecialFaction AntagonizedDysonSphere, 7 FactionConfig: 0 AntagonizedDysonSphere
Proccess Faction: SpecialFaction Instigators, 8 FactionConfig: 0 Instigators
Proccess Faction: SpecialFaction Mercenary, 9 FactionConfig: 0 Mercenary
Proccess Faction: Player Human, 10 FactionConfig: 0 Human
ProcessFactionConfigCustomFields SettingType: CustomDropdownCoreTableSubset  field.InternalName: StartingFleet  fieldValue: 'ClassicStartingFleet'
ProcessFactionConfigCustomFields SettingType: CustomDropdownCoreTableSubset  field.InternalName: StartingBattlestation  fieldValue: 'ClassicStartingDefenses'
ProcessFactionConfigCustomFields SettingType: CustomDropdownCoreTableSubset  field.InternalName: StartingSupportFleet  fieldValue: 'StartingCombatEngineerAndFactoryCombo'
ProcessFactionConfigCustomFields SettingType: IntSlider  field.InternalName: HumanCryogenicPodsToStartWith  fieldValue: '10'
ProcessFactionConfigCustomFields SettingType: IntSlider  field.InternalName: HomeHumanSettlementsToStartWith  fieldValue: '2'
************************************************************
Galaxies
************************************************************
Generated Planet Count: 35
Helper_AssignHumanHomeworld: 0 for player at faction index 10 planet: Murdoch Reason: Direct Player Choice
Ownership layout SmallClusters for 1 ai factions
New AI owning planet Jubbul, faction 1
New AI owning planet Eich, faction 1
New AI owning planet Sassenrath, faction 1
New AI owning planet Path, faction 1
New AI owning planet Vosta, faction 1
New AI owning planet Radole, faction 1
New AI owning planet Taroa, faction 1
New AI owning planet Zant, faction 1
New AI owning planet Ulindi, faction 1
New AI owning planet Lamuella, faction 1
New AI owning planet Duellos, faction 1
New AI owning planet Invincible, faction 1
New AI owning planet Orsha, faction 1
New AI owning planet Gelernter, faction 1
New AI owning planet Syndic, faction 1
New AI owning planet Nygaard, faction 1
New AI owning planet Altair, faction 1
New AI owning planet Foin, faction 1
Randomly assigned 18 planets
SetInitialPlayerVision
ExploredByNaturalMeans: Troia
ExploredByNaturalMeans: Akka
ExploredByNaturalMeans: Tleilax
ExploredByNaturalMeans: Iger
ExploredByNaturalMeans: Humphrey
ExploredByNaturalMeans: Tamass
ExploredByNaturalMeans: Libair
ExploredByNaturalMeans: Murdoch
PermanentlyWatched: Jubbul
PermanentlyWatched: Lamuella
PermanentlyWatched: Duellos
PermanentlyWatched: Radole
ExploredByNaturalMeans: Ulindi
ExploredByNaturalMeans: Invincible
ExploredByNaturalMeans: Orsha
ExploredByNaturalMeans: Vosta
ExploredByNaturalMeans: Eich
PermanentlyWatched (HumanHomeworld): Murdoch
AssignDefenseValuesTo: faction: AI (1)
AssignDefenseValuesTo: SentinelsExternalIsFilled: True
************************************************************
SeedNormalEntities for planet count: 35
************************************************************
MurdochSeedNormalEntities, planet.PopulationType HumanHomeworld planet.Factions.Count: 11
FactionType.AI: HumanHomeworld: testShipDatas.Count( 0 )
FactionType.Player: planet Murdoch: probably a success.
JubbulSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
EichSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
SassenrathSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
PathSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
VostaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
RadoleSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
TaroaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
ZantSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
SalinnSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
UlindiSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
LamuellaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
DuellosSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
InvincibleSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
OrshaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
GelernterSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
SyndicSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
ShenkerSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
YbarraSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
AmdahlSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
NygaardSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
AltairSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
FoinSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
WerelSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
XanaduSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
BressuaSeedNormalEntities, planet.PopulationType AIHomeworld planet.Factions.Count: 11
FactionType.AI: AIHomeworld: probably a success.
KollerSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
MayaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
TamassSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
HumphreySeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
IgerSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
TleilaxSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
AkkaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
LibairSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
TroiaSeedNormalEntities, planet.PopulationType NonHomeworld planet.Factions.Count: 11
FactionType.AI: NonHomeworld: probably a success.
************************************************************
SeedSpecialEntities
************************************************************
bonusStructuresForBigMaps 0 planetCount: 35
highestDifficulty Normal
TransportFlagship_FrigateHeavy     seeded on Duellos   (dist:1)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileStrikeCombatFleetFlagship - on an adjacent planet to player homeworld********* planetsSeeded: 1 (Duellos)                            morePlanetsToSeed: 0
TransportFlagship_StrikecraftHeavy     seeded on Vosta   (dist:2)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileStrikeCombatFleetFlagship - two hops out********* planetsSeeded: 1 (Vosta)                            morePlanetsToSeed: 0
TransportFlagship_StrikecraftModerate     seeded on Werel   (dist:5)                                          AreOtherMajorFactionsBlockedHere: False
TransportFlagship_FrigateHeavy     seeded on Syndic   (dist:4)                                          AreOtherMajorFactionsBlockedHere: False
TransportFlagship_GeneralHeavy     seeded on Amdahl   (dist:4)                                          AreOtherMajorFactionsBlockedHere: False
TransportFlagship_StrikecraftModerate     seeded on Zant   (dist:4)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileStrikeCombatFleetFlagship - middle distance********* planetsSeeded: 4 (Werel, Syndic, Amdahl, Zant)                            morePlanetsToSeed: 0
TransportFlagship_StrikecraftHeavy     seeded on Maya   (dist:4)                                          AreOtherMajorFactionsBlockedHere: False
TransportFlagship_StrikecraftHeavy     seeded on Altair   (dist:3)                                          AreOtherMajorFactionsBlockedHere: False
TransportFlagship_StrikecraftHeavy     seeded on Nygaard   (dist:3)                                          AreOtherMajorFactionsBlockedHere: False
TransportFlagship_StrikecraftModerate     seeded on Sassenrath   (dist:3)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileStrikeCombatFleetFlagship - wherever********* planetsSeeded: 4 (Maya, Altair, Nygaard, Sassenrath)                            morePlanetsToSeed: -1
GlobalCommandAugmenter     seeded on Radole   (dist:1)                                          AreOtherMajorFactionsBlockedHere: False
*********GlobalCommandAugmenter - on an adjacent planet to player homeworld********* planetsSeeded: 1 (Radole)                            morePlanetsToSeed: 0
GlobalCommandAugmenter     seeded on Gelernter   (dist:3)                                          AreOtherMajorFactionsBlockedHere: False
*********GlobalCommandAugmenter - on an adjacent planet to player homeworld********* planetsSeeded: 1 (Gelernter)                            morePlanetsToSeed: 0
GlobalCommandAugmenter     seeded on Path   (dist:3)                                          AreOtherMajorFactionsBlockedHere: False
GlobalCommandAugmenter     seeded on Foin   (dist:4)                                          AreOtherMajorFactionsBlockedHere: False
GlobalCommandAugmenter     seeded on Shenker   (dist:5)                                          AreOtherMajorFactionsBlockedHere: False
GlobalCommandAugmenter     seeded on Salinn   (dist:3)                                          AreOtherMajorFactionsBlockedHere: False
*********GlobalCommandAugmenter - middle distance********* planetsSeeded: 4 (Path, Foin, Shenker, Salinn)                            morePlanetsToSeed: 0
GlobalCommandAugmenter     seeded on Taroa   (dist:3)                                          AreOtherMajorFactionsBlockedHere: False
*********GlobalCommandAugmenter - wherever********* planetsSeeded: 1 (Taroa)                            morePlanetsToSeed: 3
EngineeringBattlestation     seeded on Ulindi   (dist:2)                                          AreOtherMajorFactionsBlockedHere: False
*********BattlestationBasic - middle distance********* planetsSeeded: 1 (Ulindi)                            morePlanetsToSeed: 0
RevealerBattlestation     seeded on Invincible   (dist:2)                                          AreOtherMajorFactionsBlockedHere: False
*********BattlestationBasic - wherever********* planetsSeeded: 1 (Invincible)                            morePlanetsToSeed: 0
ScrapperCombatFactory     seeded on Eich   (dist:2)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileSupportFleetFlagship - two hops out********* planetsSeeded: 1 (Eich)                            morePlanetsToSeed: 0
CombatFactory     seeded on Orsha   (dist:2)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileSupportFleetFlagship - wherever********* planetsSeeded: 1 (Orsha)                            morePlanetsToSeed: 1
SpireLostFrigateLance     seeded on Xanadu   (dist:6)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileLoneWolfFleetFlagship - wherever********* planetsSeeded: 1 (Xanadu)                            morePlanetsToSeed: 1
InhibitorCitadel     seeded on Ybarra   (dist:4)                                          AreOtherMajorFactionsBlockedHere: False
*********BattlestationCitadel - middle distance********* planetsSeeded: 1 (Ybarra)                            morePlanetsToSeed: 0
AgravicCitadel     seeded on Koller   (dist:5)                                          AreOtherMajorFactionsBlockedHere: False
*********BattlestationCitadel - wherever********* planetsSeeded: 1 (Koller)                            morePlanetsToSeed: 0
CursedGolem     seeded on Akka   (dist:-1)                                          AreOtherMajorFactionsBlockedHere: False
ArkOne     seeded on Libair   (dist:-1)                                          AreOtherMajorFactionsBlockedHere: False
RorqualHegira     seeded on Lamuella   (dist:1)                                          AreOtherMajorFactionsBlockedHere: False
*********MobileOfficerCombatFleetFlagship - wherever********* planetsSeeded: 3 (Akka, Libair, Lamuella)                            morePlanetsToSeed: 0
ZenithPowerGenerator     seeded on Shenker   (dist:5)                                          AreOtherMajorFactionsBlockedHere: True
*********ZenithPowerGenerator********* planetsSeeded: 1 (Shenker)                            morePlanetsToSeed: -1
IntraGalacticCoordinatorFrigate     seeded on Gelernter   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
*********IntraGalacticCoordinatorFrigate********* planetsSeeded: 1 (Gelernter)                            morePlanetsToSeed: -1
IntraGalacticCoordinatorStrikeCraft     seeded on Nygaard   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
*********IntraGalacticCoordinatorStrikeCraft********* planetsSeeded: 1 (Nygaard)                            morePlanetsToSeed: -1
IntraGalacticCoordinatorTurret     seeded on Shenker   (dist:5)                                          AreOtherMajorFactionsBlockedHere: True
*********IntraGalacticCoordinatorTurret********* planetsSeeded: 1 (Shenker)                            morePlanetsToSeed: -1
ZenithMatterConverter     seeded on Werel   (dist:5)                                          AreOtherMajorFactionsBlockedHere: True
*********ZenithMatterConverter********* planetsSeeded: 1 (Werel)                            morePlanetsToSeed: -1
Coprocessor     seeded on Foin   (dist:4)                                          AreOtherMajorFactionsBlockedHere: True
Coprocessor     seeded on Nygaard   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
Coprocessor     seeded on Maya   (dist:4)                                          AreOtherMajorFactionsBlockedHere: True
Coprocessor     seeded on Altair   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
*********Coprocessor********* planetsSeeded: 4 (Foin, Nygaard, Maya, Altair)                            morePlanetsToSeed: -1
DistributionNode     seeded on Xanadu   (dist:6)                                          AreOtherMajorFactionsBlockedHere: True
DistributionNode     seeded on Sassenrath   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
DistributionNode     seeded on Nygaard   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
DistributionNode     seeded on Taroa   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
DistributionNode     seeded on Duellos   (dist:1)                                          AreOtherMajorFactionsBlockedHere: True
DistributionNode     seeded on Radole   (dist:1)                                          AreOtherMajorFactionsBlockedHere: True
*********DistributionNode********* planetsSeeded: 6 (Xanadu, Sassenrath, Nygaard, Taroa, Duellos, Radole)                            morePlanetsToSeed: -1
DataCenter     seeded on Syndic   (dist:4)                                          AreOtherMajorFactionsBlockedHere: True
DataCenter     seeded on Shenker   (dist:5)                                          AreOtherMajorFactionsBlockedHere: True
DataCenter     seeded on Sassenrath   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
DataCenter     seeded on Amdahl   (dist:4)                                          AreOtherMajorFactionsBlockedHere: True
DataCenter     seeded on Werel   (dist:5)                                          AreOtherMajorFactionsBlockedHere: True
DataCenter     seeded on Gelernter   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
*********DataCenter********* planetsSeeded: 6 (Syndic, Shenker, Sassenrath, Amdahl, Werel, Gelernter)                            morePlanetsToSeed: -1
MajorDataCenter     seeded on Amdahl   (dist:4)                                          AreOtherMajorFactionsBlockedHere: True
MajorDataCenter     seeded on Shenker   (dist:5)                                          AreOtherMajorFactionsBlockedHere: True
*********MajorDataCenter********* planetsSeeded: 2 (Amdahl, Shenker)                            morePlanetsToSeed: -1
SuperTerminal     seeded on Altair   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
*********SuperTerminal********* planetsSeeded: 1 (Altair)                            morePlanetsToSeed: -1
NormalPlanetNastyPick Tag caused seeding of IonEye on planet Shenker
NormalPlanetNastyPick Tag caused seeding of OrbitalMassDriver on planet Zant
NormalPlanetNastyPick Tag caused seeding of AIFortress on planet Xanadu
NormalPlanetNastyPick Tag caused seeding of BlackHoleMachine on planet Gelernter
NormalPlanetNastyPick Tag caused seeding of PlasmaEye on planet Taroa
NormalPlanetNastyPick Tag caused seeding of TroopAccelerator on planet Amdahl
NormalPlanetNastyPick Tag caused seeding of IonCannon on planet Koller
NormalPlanetNastyPick Tag caused seeding of RaidEngine on planet Syndic
SpireArchive Tag caused seeding of SpireArchive on planet Altair
SpecialForcesSecretNinjaHideout     seeded on Jubbul   (dist:1)                                          AreOtherMajorFactionsBlockedHere: False
SpecialForcesSecretNinjaHideout     seeded on Tleilax   (dist:-1)                                          AreOtherMajorFactionsBlockedHere: False
SpecialForcesSecretNinjaHideout     seeded on Iger   (dist:-1)                                          AreOtherMajorFactionsBlockedHere: False
SpecialForcesSecretNinjaHideout     seeded on Tamass   (dist:-1)                                          AreOtherMajorFactionsBlockedHere: False
Mercenary Beacon     seeded on Xanadu   (dist:6)                                          AreOtherMajorFactionsBlockedHere: True
Mercenary Beacon     seeded on Syndic   (dist:4)                                          AreOtherMajorFactionsBlockedHere: True
Mercenary Beacon     seeded on Gelernter   (dist:3)                                          AreOtherMajorFactionsBlockedHere: True
Mercenary Beacon     seeded on Foin   (dist:4)                                          AreOtherMajorFactionsBlockedHere: True
Mercenary Beacon     seeded on Orsha   (dist:2)                                          AreOtherMajorFactionsBlockedHere: True
************************************************************
DoGameStartLogic
************************************************************
MapgenTime: 40ms
MapGen.txt (23,873 bytes)
20190710232120_1.jpg (163,948 bytes)
20190710232120_1.jpg (163,948 bytes)
20190710232133_1.jpg (345,405 bytes)

x4000Bughunter

Jul 10, 2019 4:05 pm

administrator   ~0052163

These aren't actually crashes, these are the mapgen working by design. The error message does need to be more clear, though.

But basically it's saying "you have too few planets for the number of factions you have selected. Please increase the number of planets and try again." There's no error state there at all, except that it's just writing out the details in a format that is intimidating versus giving you the message I specified above.

I do need to make it robust enough that it can tell if it's just a matter of too few planets, or if it needs to show you a larger message from some sort of actual bug.

Anyhow, other than the visual side of how it shows you the message, this is working exactly as intended.

UFO

Jul 10, 2019 4:14 pm

reporter   ~0052164

Thanks for clarifying. So the real problem is only Swirl (the last screenshot). It's impossible to skip this message.

x4000Bughunter

Jul 10, 2019 4:24 pm

administrator   ~0052166

Ah yes, that would definitely be a bug in the case of swirl. It reliably gets stuck like that? That's alarming!

UFO

Jul 10, 2019 4:34 pm

reporter   ~0052169

Button "Ignore" don't work. "Ignore and stop reporting" works but it leads to more adventures. "Quit game" don't work after it, only "Exit to desktop" works.

x4000Bughunter

Jul 10, 2019 6:40 pm

administrator   ~0052173

Oh, that's a different error entirely, then. That's not being caught by the normal magen error logging for some reason, and is a whole other kind of bug. Yikes!

x4000Bughunter

Jul 11, 2019 9:54 am

administrator   ~0052181

For the "tried to start thread strengthCountingContext but it appears to still be running" error, that's definitely unrelated to mapgeneration itself. Are you able to recreate that? That's the "swirl" error that you were seeing. If you have steps to repro that one that would be appreciated.

UFO

Jul 11, 2019 11:54 am

reporter   ~0052183

For amount of planets from 10 to 27 game can't generate a map - not enought space. That's how it should work.
From my experience bug happens for amount of planets from 28 to 41. I reproduced it with 29 planets a lot of times. I did not change other settings for Swirl.
And there was another message that close quikly before that error message. It must be in debug log.

ArcenDebugLog.txt (34,440 bytes)
7/11/2019 7:41:40 PM	Current directory used: D:/Program Files/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: D:/Program Files/Steam/steamapps/common/AI War 2/PlayerData/
7/11/2019 7:41:40 PM	No resolution change was required.
7/11/2019 7:41:40 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2019 7:41:40 PM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
7/11/2019 7:41:51 PM	ArcenAssetBundleCache.InstantiatedObjects: 761
7/11/2019 7:41:51 PM	Game Version: 0.874
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 7  (6.1.0) 64bit
graphicsDeviceName: NVIDIA GeForce GTX 1050 Ti
graphicsDeviceID: 7298
graphicsDeviceVendor: NVIDIA
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 3989
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-7500 CPU @ 3.40GHz
processorCount: 4
processorFrequency: 3408
systemMemorySize: 8147
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
7/11/2019 7:41:51 PM	11.5 seconds total load time.

LoadFinalSFXStuff (7.4s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (1.4s)
SurrogateTableTable (0.6s)
7/11/2019 7:41:51 PM
Hello Steam user 'starshatter'

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f9c194a9ba4d43bf98f4d25b0881e946>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f9c194a9ba4d43bf98f4d25b0881e946>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f9c194a9ba4d43bf98f4d25b0881e946>:0 
  at ArcenGameController.Update () [0x00000] in <3f44926ddd434aeeab645aa250c75454>:0 

7/11/2019 7:41:56 PM	Start Generate Partial Map with D18Swirl and seed 126238202 and planet count 30 and 11 factions
7/11/2019 7:41:56 PM	World Created, Launching Server
7/11/2019 7:41:56 PM	Successfully opened host socket
7/11/2019 7:42:16 PM	Start Generate FULL Map with D18Swirl and seed 126238202 and planet count 29 and 11 factions
7/11/2019 7:42:16 PM	Generate FULL Map Complete
7/11/2019 7:42:16 PM
Error occurred in sim planning context strengthCountingContext
IndexOutOfRangeException
Index was outside the bounds of the array.
===STACK FRAMES (with file info)===
FILE	METHOD	IL_OFFSET	NATIVE_OFFSET	LINE_NUMBER	COLUMN_NUMBER
	DoPlanetFactionStepLogic_Phase2	275	807	0	0
	DoPlanetFactionStepLogic	34	106	0	0
	Execute	72	298	0	0
	InnerRun	65	183	0	0
===RAW STACK TRACE===
  at Arcen.AIW2.External.StrengthCounting.DoPlanetFactionStepLogic_Phase2 (Arcen.AIW2.Core.PlanetFaction faction) [0x00113] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.StrengthCounting.DoPlanetFactionStepLogic (System.Int32 strenthCountingStage, Arcen.AIW2.Core.PlanetFaction faction) [0x00022] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.StrengthCounting.Execute () [0x00048] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00041] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f9c194a9ba4d43bf98f4d25b0881e946>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f9c194a9ba4d43bf98f4d25b0881e946>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <f9c194a9ba4d43bf98f4d25b0881e946>:0 
  at Arcen.Universal.ArcenDebugging.LogException (System.Exception e, System.String message, Arcen.Universal.Verbosity verbosity) [0x00000] in <f9c194a9ba4d43bf98f4d25b0881e946>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.InnerRun () [0x00000] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 

7/11/2019 7:42:16 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:17 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:17 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:18 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:18 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:18 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:19 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:19 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:20 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:20 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:20 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:21 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:21 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:22 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:22 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:22 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:23 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:23 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:24 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:24 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:24 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:25 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:25 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:26 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:26 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:26 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:27 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:27 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:28 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:28 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:28 PM	ShortTermPlanningError: System.Exception: Error: tried to start thread 'strengthCountingContext' but it appears to still be running
  at Arcen.AIW2.External.ArcenThread.Start (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003e] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenThreadManager.StartThread (System.String ThreadName, System.Int32 SecondsToLive, System.Boolean DieOnWorldClear, System.Threading.ThreadStart MethodToRun, System.Action MethodToCallIfThreadAborted, System.Boolean FailSilentlyIfNotFinishedYet) [0x0000f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.RunOnBackgroundThread (System.Boolean FailSilentlyIfNotFinishedYet) [0x0003f] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
  at Arcen.AIW2.External.ArcenShortTermPlanningContext.DoShortTermPlanning () [0x0003d] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0 
7/11/2019 7:42:29 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (34,440 bytes)

x4000Bughunter

Jul 11, 2019 12:01 pm

administrator   ~0052185

Okay, so here's the real error:

Error occurred in sim planning context strengthCountingContext
IndexOutOfRangeException
Index was outside the bounds of the array.
===STACK FRAMES (with file info)===
FILE METHOD IL_OFFSET NATIVE_OFFSET LINE_NUMBER COLUMN_NUMBER
    DoPlanetFactionStepLogic_Phase2 275 807 0 0
    DoPlanetFactionStepLogic 34 106 0 0
    Execute 72 298 0 0
    InnerRun 65 183 0 0
===RAW STACK TRACE===
  at Arcen.AIW2.External.StrengthCounting.DoPlanetFactionStepLogic_Phase2 (Arcen.AIW2.Core.PlanetFaction faction) [0x00113] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0
  at Arcen.AIW2.External.StrengthCounting.DoPlanetFactionStepLogic (System.Int32 strenthCountingStage, Arcen.AIW2.Core.PlanetFaction faction) [0x00022] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0
  at Arcen.AIW2.External.StrengthCounting.Execute () [0x00048] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00041] in <1ec9ee1a1e38422e8e573d4d480c54e1>:0

Thanks for that! I should be able to fix that.

x4000Bughunter

Jul 11, 2019 12:13 pm

administrator   ~0052186

Coming 0.875:

* Put in error catching for an exception that could happen in StrengthCounting under certain circumstances. This doesn't fix the error, but it will tell us where the error actually is and should also prevent the "endless further errors" problem that was otherwise happening after that.
** If anyone can duplicate this error in the new version once that is out, and then send us the new error message that it generates, we can fix the actual problem. It seems to be happening on swirl maps for whatever reason.

Thanks!

Dominus Arbitrationis

Jul 11, 2019 4:39 pm

administrator   ~0052191

Caught the errors on Swirl for you Chris. There are a few of them. Attached the debug log. This happened without changing anything except the map type and number of planets.

ArcenDebugLog_SwirlErrors.txt (5,393 bytes)
7/11/2019 4:37:04 PM	Current directory used: C:/Users/Quinn/Documents/Arcen/AIWar2/
Process Count = 0 so PlayerDataDirectory used: C:/Users/Quinn/Documents/Arcen/AIWar2/PlayerData/
7/11/2019 4:37:04 PM	No resolution change was required.
7/11/2019 4:37:04 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
7/11/2019 4:37:04 PM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
7/11/2019 4:37:06 PM	ArcenAssetBundleCache.InstantiatedObjects: 761
7/11/2019 4:37:07 PM	Game Version: 0.874
graphicsDeviceType in use: OpenGLCore
graphicsDeviceVersion in use: OpenGL 4.5.0 NVIDIA 388.13
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 7  (6.1.0) 64bit
graphicsDeviceName: GeForce GTX 750 Ti/PCIe/SSE2
graphicsDeviceID: 4992
graphicsDeviceVendor: NVIDIA Corporation
graphicsDeviceVendorID: 4318
graphicsDeviceVersion: OpenGL 4.5.0 NVIDIA 388.13
graphicsMemorySize: 1993
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz
processorCount: 8
processorFrequency: 4008
systemMemorySize: 16305
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: False
7/11/2019 4:37:07 PM	3.4 seconds total load time.

GameEntityTypeDataTable.InitVisualBits (1.1s)
SurrogateTableTable (0.5s)
7/11/2019 4:37:07 PM
Hello Steam user 'Dominus Arbitrationis'

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <7fd986cbc9d4487bb6645e8bdc496997>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <7fd986cbc9d4487bb6645e8bdc496997>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <7fd986cbc9d4487bb6645e8bdc496997>:0 
  at ArcenGameController.Update () [0x00000] in <3f44926ddd434aeeab645aa250c75454>:0 

7/11/2019 4:37:26 PM	Start Generate Partial Map with Clusters and seed 371816769 and planet count 40 and 11 factions
7/11/2019 4:37:26 PM	World Created, Launching Server
7/11/2019 4:37:27 PM	Successfully opened host socket
7/11/2019 4:37:30 PM	Start Generate Partial Map with D18Swirl and seed 371816769 and planet count 40 and 11 factions
7/11/2019 4:37:30 PM	Generate Partial Map Complete
7/11/2019 4:37:33 PM	Start Generate Partial Map with D18Swirl and seed 371816769 and planet count 10 and 11 factions
7/11/2019 4:37:33 PM	Generate Partial Map Complete
7/11/2019 4:37:37 PM	Start Generate FULL Map with D18Swirl and seed 371816769 and planet count 10 and 11 factions
7/11/2019 4:37:37 PM	Generate FULL Map Complete
7/11/2019 4:37:37 PM	Failed to find planet to seed tag 'null' / SpecialEntityType 'BattlestationBasic'
Count=1
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag 'null' / SpecialEntityType 'BattlestationBasic'
Count=2
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag '' / SpecialEntityType 'MobileSupportFleetFlagship'
Count=1
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag '' / SpecialEntityType 'MobileSupportFleetFlagship'
Count=3
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag '' / SpecialEntityType 'MobileLoneWolfFleetFlagship'
Count=2
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag 'null' / SpecialEntityType 'BattlestationCitadel'
Count=1
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag 'null' / SpecialEntityType 'BattlestationCitadel'
Count=2
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag '' / SpecialEntityType 'MobileOfficerCombatFleetFlagship'
Count=5
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 

Failed to find planet to seed tag 'SpecialForcesSecretNinjaHideout' / SpecialEntityType 'None'
Count=4
GalaxyPlanetCount=14
AIHomeworldCount=1
HumanHomeworldCount=1
OpenPlanetCount=0
BlockedPlanetCount=12
PlanetsBlockedBy:=Global Command Augmenter, , , , , , , , , , , 


x4000Bughunter

Jul 12, 2019 12:26 pm

administrator   ~0052201

Thank you! Although, that's just the standard error, not the one that pops up endlessly. That one is the one saying there isn't enough room, which is what it is supposed to do (just more nicely than it does right now). That one likely did not start the game, but left you in the lobby.

There's another one that gets triggered where you actually get into the game somehow, and it then gives a different error that will complain about strengthCountingContext either once or endlessly. Probably just once, now, but at any rate it will be that. Instead the ones you sent were not into the game yet.

No worries!

UFO

Jul 14, 2019 8:19 am

reporter   ~0052227

Debug Log from version 0.875

ArcenDebugLog-2.txt (1,082,808 bytes)

x4000Bughunter

Jul 16, 2019 3:18 pm

administrator   ~0052271

Thank you!

* Fixed a bug in the strength counting code where it could try to look out more hops than exist on certain planets.
** This may be indicative of orphaned planets of some sort on certain map types (it's happening on Swirl maps), and so that may just lead to yet more errors, but at least this one is fixed. And we can presumably find the mapgen error, if there is one.
** Or it's possible that it simply is a very small map somehow, with very few hops on that size of map, and thus it's not a matter of being orphaned, but simply not having that depth of neighbors (a valid case, then).

Issue History

Date Modified Username Field Change
Jul 10, 2019 3:39 pm UFO New Issue
Jul 10, 2019 3:39 pm UFO File Added: 20190710232054_1.jpg
Jul 10, 2019 3:39 pm UFO File Added: 20190710232133_1.jpg
Jul 10, 2019 3:39 pm UFO File Added: 20190710232120_1.jpg
Jul 10, 2019 3:39 pm UFO File Added: MapGen.txt
Jul 10, 2019 4:05 pm x4000Bughunter Note Added: 0052163
Jul 10, 2019 4:14 pm UFO Note Added: 0052164
Jul 10, 2019 4:24 pm x4000Bughunter Note Added: 0052166
Jul 10, 2019 4:34 pm UFO Note Added: 0052169
Jul 10, 2019 6:40 pm x4000Bughunter Note Added: 0052173
Jul 11, 2019 9:54 am x4000Bughunter Note Added: 0052181
Jul 11, 2019 11:54 am UFO File Added: ArcenDebugLog.txt
Jul 11, 2019 11:54 am UFO Note Added: 0052183
Jul 11, 2019 12:01 pm x4000Bughunter Note Added: 0052185
Jul 11, 2019 12:13 pm x4000Bughunter Note Added: 0052186
Jul 11, 2019 4:39 pm Dominus Arbitrationis File Added: ArcenDebugLog_SwirlErrors.txt
Jul 11, 2019 4:39 pm Dominus Arbitrationis Note Added: 0052191
Jul 12, 2019 12:26 pm x4000Bughunter Note Added: 0052201
Jul 12, 2019 12:27 pm x4000Bughunter Assigned To => x4000Bughunter
Jul 12, 2019 12:27 pm x4000Bughunter Status new => feedback
Jul 14, 2019 8:19 am UFO File Added: ArcenDebugLog-2.txt
Jul 14, 2019 8:19 am UFO Note Added: 0052227
Jul 14, 2019 8:19 am UFO Status feedback => assigned
Jul 16, 2019 3:18 pm x4000Bughunter Status assigned => resolved
Jul 16, 2019 3:18 pm x4000Bughunter Resolution open => fixed
Jul 16, 2019 3:18 pm x4000Bughunter Fixed in Version => 0.876 Counterattacks Ate My Waves
Jul 16, 2019 3:18 pm x4000Bughunter Note Added: 0052271